package com.nisum.pages;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.FindBy;
import org.openqa.selenium.support.PageFactory;
import org.openqa.selenium.support.ui.ExpectedCondition;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;

import java.util.concurrent.TimeUnit;


public class AccountSettingDetailsPM{
    WebDriver driver;

    @FindBy(id = "input-firstName")
    WebElement firstNameInput;

    @FindBy(id = "input-lastName")
    WebElement lastNameInput;

    @FindBy(id = "phoneNumber")
    WebElement phoneNumberInput;

    @FindBy(id = "emailIdaccount")
    WebElement emailInput;

    public AccountSettingDetailsPM(WebDriver driver){
        this.driver = driver;
        PageFactory.initElements(this.driver, this);
    }



}
