import com.nisum.pages.AccountSettingDetailsPM;
import com.nisum.pages.HomePagePF;
import com.nisum.pages.Login;
import org.junit.Assert;
import org.junit.Test;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.chrome.ChromeDriver;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;


public class TestApp {
    @Test
    public static void main(String[] args) {

        System.setProperty("webdriver.chrome.driver","/Users/jwu/Desktop/seleniumPOMAssignment/src/main/resources/chromedriver");
        WebDriver driver = new ChromeDriver();
        Login login = new Login(driver, "https://www.safeway.com");
        login.login("vkrijegccvsknuvnpv@miucce.com", "12345678");
        HomePagePF homePagePF = new HomePagePF(driver);
        homePagePF.NavToAccountSettingPage();

        AccountSettingDetailsPM accountSettingDetailsPM = new AccountSettingDetailsPM(driver);

        Boolean waitInput = new WebDriverWait(driver, 5)
                .until(ExpectedConditions.attributeToBeNotEmpty(accountSettingDetailsPM.firstNameInput,"value"));

        String firstName = accountSettingDetailsPM.firstNameInput.getAttribute("value");
        String lastName = accountSettingDetailsPM.lastNameInput.getAttribute("value");
        String email = accountSettingDetailsPM.emailInput.getAttribute("value");
        String phoneNumber = accountSettingDetailsPM.phoneNumberInput.getAttribute("value");


        Assert.assertEquals("Nisum",firstName);
        Assert.assertEquals("TestAcct",lastName);
        Assert.assertEquals("vkrijegccvsknuvnpv@miucce.com",email);
        Assert.assertEquals("3141592635",phoneNumber);

        driver.close();
    }

}
